'use strict';

var React = require('react');
var jobberHooks = require('@jobber/hooks');

var styles = {"trigger":"_8SCmS4wfKOQ-","spinning":"coGWl7tznJU-"};

function FilterPickerLoadMore({ onLoadMore, }) {
    const [inViewRef, isInView] = jobberHooks.useInView();
    React.useEffect(() => {
        isInView && onLoadMore();
    }, [isInView]);
    return (React.createElement("div", { "data-testid": "ATL-FilterPicker-Loadmore-Trigger", ref: inViewRef, className: styles.trigger }));
}

exports.FilterPickerLoadMore = FilterPickerLoadMore;
